<div class="container">
    <div>
        <h4>Approval PP Siap PO</h4>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <label>Status</label>
                            <div>
                                <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus" id="field_STS">
                                </p-dropdown>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <button pButton type="submit" label="Filter" icon="fa-filter"
                            class="ui-button-primary flat-label-button" (click)="filter()">
                        </button>
                        <button pButton label="Reset Filter" icon="fa-refresh"
                            class="ui-button-primary flat-label-button" (click)="reset()">
                        </button>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="Cari Nomor PP">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()"
                                    *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
        <!-- <div class="input-group w-100 mt-3">
            <div class="ui-g-8">
                <label class="form-control-label" for="field_PIC">Status</label>
                <p-dropdown [options]="ppStatus" [(ngModel)]="selectedSTS" id="field_sts"
                    [disabled]="isDisabled && selected.length === 0" (onFocus)="validateStatus()">
                </p-dropdown>
                <button pButton (click)="updatestatus('header')" label="Update Status"
                    class="ui-button-primary flat-label-button" [disabled]="isDisabled && selected.length === 0">
                </button>
            </div>
            <div class="ui-g-3">
            </div>
        </div> -->
    </div>
    <div>
        <p-dataTable [value]="registerDetail" [editable]="false" [rows]="itemsPerPage" [paginator]="true"
            [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
            [lazy]="true" dataKey="idregisdetail" (onLazyLoad)="loadDataLazy($event)" [(selection)]="selected">
            <p-header>
            </p-header>
            <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column> -->
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PP" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopurchaseorder}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Buat" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtorder | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Nama Input" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Divisi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.divition}}
                </ng-template>
            </p-column>
            <p-column header="PIC" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Status" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.isregister === 1">
                        {{rowData.statusdesc}}
                    </div>
                    <div *ngIf="rowData.isregister === 0">
                        Unregister
                    </div>
                </ng-template>
            </p-column>
            <p-column header="Info Lain" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.komen}}
                </ng-template>
            </p-column>
            <p-column header="Aksi" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.isregister === 1">
                        <button pButton type="button" icon="fa-print" class="flat-button"
                            (click)="print(rowData.idpurchaseorder)" pTooltip="Print PP"
                            *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <div *ngIf="rowData.contenttype !== null">
                            <button pButton type="submit" icon="fa-eye" class="flat-button" pTooltip="Lihat Lampiran"
                                (click)="openPDF(rowData.idpurchaseorder)">
                            </button>
                        </div>
                        <button pButton type="submit" icon="fa-cog" class="flat-button" pTooltip="Lihat Detail"
                            (click)="openDetail(rowData)">
                        </button>
                        <button pButton type="button" icon="fa-info-circle" class="flat-button"
                            (click)="reasonpp(rowData)" pTooltip="Alasan Hold PP"
                            *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" icon="fa fa-commenting" class="flat-button"
                            (click)="cekReasonpp(rowData)" pTooltip="Lihat Alasan Hold PP"
                            *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    </p-tabView>
</div>
<p-dialog header="Pilih Pembuat PO" [(visible)]="modalPilihAdm" modal="true">
    <form name="Pilih" role="form" novalidate #editForm="ngForm">
        <div style="align-content: center;">
            <div class="row" *ngFor="let admPO of admPOs">
                <div>
                    <button pButton label={{admPO.login}} icon="fa fa-child" class="ui-button-primary flat-label-button"
                        (click)="setAdminPP(admPO.login);" [disabled]="clicked">
                    </button>
                </div>
                <div>
                    <br>
                    <br>
                </div>
            </div>
        </div>
    </form>
</p-dialog>

<p-dialog [(visible)]="modalPilihItemPO" modal="true">
    <p-header>
    </p-header>
    <div class="input-group w-100 mt-3">
        <div class="ui-g-8">
            <label class="form-control-label" for="field_PIC">Status</label>
            <p-dropdown [options]="ppStatus" [(ngModel)]="selectedSTS" id="field_sts"
                [disabled]="isDisabled && selected.length === 0" (onFocus)="validateStatus()">
            </p-dropdown>
            <button pButton (click)="updatestatus('item')" label="Update Status"
                class="ui-button-primary flat-label-button" [disabled]="isDisabled && selected.length === 0">
            </button>
        </div>
        <div class="ui-g-3">
        </div>
    </div>
    <p-dataTable [value]="purchaseOrderItems" [editable]="false" [rows]="itemsDataPerPage"
        [rowsPerPageOptions]="[10,15,20,50,100,150,200,300,400]" [totalRecords]="totalDataItems" [responsive]="true"
        dataKey="idPurOrdItem" [(selection)]="selected">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <!-- <p-column>
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.statustype !== 25 && rowData.statustype !== 31 && rowData.statustype !== 32">
                    <p-checkbox binary="true" [(ngModel)]="rowData.isSelected" (click)="cekitem(rowData)"> </p-checkbox>
                </div>
            </ng-template>
        </p-column> -->
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Kode Bahan" [style]="{'width': '100spx', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.codeProduk}}
            </ng-template>
        </p-column>
        <p-column header="Nama Bahan" [style]="{'width': '200px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.produkName}}
            </ng-template>
        </p-column>
        <p-column header="QTY" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty}}
            </ng-template>
        </p-column>
        <p-column header="Unit" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unit}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Kirim" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtSent | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="QTY to PO" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <input type="number" style="width: 70px;" [(ngModel)]="rowData.qtytopo" />
            </ng-template>
        </p-column>
        <p-column header="QTY Sisa to PO" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty - rowData.qtybookingpo | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="Note" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <textarea [(ngModel)]="rowData.note_pbl" autofocus="autofocus" rows="2" cols="30" pInputTextarea
                    autoResize="autoResize" style="width: 200px;"></textarea>
            </ng-template>
        </p-column>
        <p-column header="Status" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.status}}
            </ng-template>
        </p-column>
        <p-column header="Aksi" [style]="{'width': '50px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.statustype === 23">
                    <button pButton type="button" icon="fa fa-close" class="flat-button" (click)="rejectItem(rowData)"
                        pTooltip="Reject Item" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
                    </button>
                </div>
                <div *ngIf="rowData.statustype === 28 || rowData.statustype === 27">
                    <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="closeItem(rowData)"
                        pTooltip="Close Item" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
                    </button>
                </div>
                <div *ngIf="rowData.statustype === 25">
                    <button pButton type="button" icon="fa fa-exchange" class="flat-button" (click)="serahprc(rowData)"
                        pTooltip="Serah Purchasing" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
                    </button>
                </div>
            </ng-template>
        </p-column>
    </p-dataTable>
    <p-footer>
    </p-footer>
</p-dialog>
<p-dialog [(visible)]="modalRejectItem" modal="true">
    <p-header>
        Catatan Reject Item
    </p-header>
    <div>
        <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize"
            [(ngModel)]="purchaseOrderItem.rejectNote"></textarea>
    </div>
    <p-footer>
        <button pButton icon="fa fa-close" label="Reject Item" class="ui-button-primary flat-label-button"
            (click)="reject()" pTooltip="Reject Item" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
        </button>
    </p-footer>
</p-dialog>
<p-dialog [(visible)]="modalCloseItem" modal="true">
    <p-header>
        Catatan Close Item
    </p-header>
    <div>
        <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize"
            [(ngModel)]="purchaseOrderItem.rejectNote"></textarea>
    </div>
    <p-footer>
        <button pButton icon="fa fa-ban" label="Close Item" class="ui-button-primary flat-label-button"
            (click)="close()" pTooltip="Close Item" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
        </button>
    </p-footer>
</p-dialog>
<p-dialog [(visible)]="modalReason" modal="true">
    <p-header>
        Alasan Hold PP
    </p-header>
    <div>
        <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize"
            [(ngModel)]="hr.descriptions"></textarea>
    </div>
    <p-footer>
        <button pButton icon="fa fa-save" label="Simpan Alasan" class="ui-button-primary flat-label-button"
            (click)="saveReasonpp()" pTooltip="Simpan Alasan" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
        </button>
    </p-footer>
</p-dialog>
<p-dialog [(visible)]="modalListHR" modal="true">
    <p-dataList [value]="listHR">
        <p-header>
            Alasan Hold PP
        </p-header>
        <ng-template let-hr pTemplate="item">
            <div class="ui-g ui-fluid">
                <div class="ui-g-12 ui-md-9">
                    <div class="ui-g">
                        <div class="ui-g-2 ui-sm-6">Tanggal : {{hr.dtcreated | date:'dd-MM-yyyy'}}</div>
                        <div class="ui-g-2 ui-sm-6">Pembuat : {{hr.createdby}}</div>
                        <div class="ui-g-2 ui-sm-6">Alasan : {{hr.descriptions}}</div>
                    </div>
                    <hr>
                </div>
            </div>
        </ng-template>
    </p-dataList>
    <p-footer>
    </p-footer>
</p-dialog>
<p-confirmDialog></p-confirmDialog>